import React from "react";
import { CommonAndHTMLProps } from "../Element/constants";
export interface CodeBlockCustomProps {
    source?: object | string;
    language?: string;
}
export type CodeBlockElementType = HTMLPreElement;
export type CodeBlockProps = Omit<CommonAndHTMLProps<CodeBlockElementType>, keyof CodeBlockCustomProps> & CodeBlockCustomProps;
export declare const CodeBlock: React.ForwardRefExoticComponent<Omit<CommonAndHTMLProps<HTMLPreElement>, keyof CodeBlockCustomProps> & CodeBlockCustomProps & React.RefAttributes<HTMLPreElement>>;
