import React from "react";
import { CommonAndHTMLProps, SpacingTypes } from "../Element/constants";
export interface DrawerCustomProps {
    position: "top" | "right" | "bottom" | "left";
    width?: SpacingTypes;
    openWhen?: boolean;
    closeWhen?: () => void;
    closeOnClickOutside?: boolean;
    isDismissable?: boolean;
    showOverlay?: boolean;
}
export type DrawerElementType = HTMLDivElement;
export type DrawerProps = Omit<CommonAndHTMLProps<DrawerElementType>, keyof DrawerCustomProps> & DrawerCustomProps;
export declare const Drawer: React.ForwardRefExoticComponent<Omit<CommonAndHTMLProps<HTMLDivElement>, keyof DrawerCustomProps> & DrawerCustomProps & React.RefAttributes<HTMLDivElement>>;
