import React from "react";
import { BaseInputComponentProps } from "../BaseInputComponent/constants";
export interface RangeCustomProps {
    min?: number;
    max?: number;
    step?: number;
}
export type RangeElementType = HTMLInputElement;
export type RangeProps = Omit<BaseInputComponentProps<RangeElementType>, "as"> & RangeCustomProps;
export declare const Range: React.ForwardRefExoticComponent<Omit<BaseInputComponentProps<HTMLInputElement>, "as"> & RangeCustomProps & React.RefAttributes<HTMLInputElement>>;
